OF_MDIO_FIND_BUS(9)

NAME
of_mdio_find_bus - Given an mii_bus node, find the mii_bus.

SYNOPSIS

struct mii_bus * of_mdio_find_bus(struct device_node * mdio_bus_np);

ARGUMENTS

mdio_bus_np
    Pointer to the mii_bus.

DESCRIPTION

Returns a pointer to the mii_bus, or NULL if none found.

Because the association of a device_node and mii_bus is made via of_mdiobus_register, the mii_bus cannot be found before it is registered with of_mdiobus_register.

COPYRIGHT